<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpUnitComboBox: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpUnitStore.html" title="GimpUnitStore">
<link rel="next" href="GimpZoomModel.html" title="GimpZoomModel">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpUnitComboBox.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpUnitComboBox.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpUnitComboBox.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_style_properties">  <span class="dim">|</span> 
                  <a href="#GimpUnitComboBox.style-properties" class="shortcut">Style Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpUnitStore.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpZoomModel.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpUnitComboBox"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpUnitComboBox.top_of_page"></a>GimpUnitComboBox</span></h2>
<p>GimpUnitComboBox — A <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct"><span class="type">GtkComboBox</span></a> to select a <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpUnitComboBox.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpUnitComboBox.html#gimp-unit-combo-box-new" title="gimp_unit_combo_box_new ()">gimp_unit_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpUnitComboBox.html#gimp-unit-combo-box-new-with-model" title="gimp_unit_combo_box_new_with_model ()">gimp_unit_combo_box_new_with_model</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpUnitComboBox.html#gimp-unit-combo-box-get-active" title="gimp_unit_combo_box_get_active ()">gimp_unit_combo_box_get_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpUnitComboBox.html#gimp-unit-combo-box-set-active" title="gimp_unit_combo_box_set_active ()">gimp_unit_combo_box_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.style-properties"></a><h2>Style Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="style_properties_type">
<col width="300px" class="style_properties_name">
<col width="200px" class="style_properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpUnitComboBox.html#GimpUnitComboBox--s-label-scale" title="The “label-scale” style property">label-scale</a></td>
<td class="property_flags">Read</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpUnitComboBox.html#GimpUnitComboBox-struct" title="GimpUnitComboBox">GimpUnitComboBox</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct">GtkComboBox</a>
                            <span class="lineart">╰──</span> GimpUnitComboBox
</pre>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpUnitComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.description"></a><h2>Description</h2>
<p><a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a> selects units stored in a <a class="link" href="GimpUnitStore.html" title="GimpUnitStore"><span class="type">GimpUnitStore</span></a>.
It replaces the deprecated <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a>.</p>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-unit-combo-box-new"></a><h3>gimp_unit_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_unit_combo_box_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<div class="refsect3">
<a name="gimp-unit-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-combo-box-new-with-model"></a><h3>gimp_unit_combo_box_new_with_model ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_unit_combo_box_new_with_model (<em class="parameter"><code><a class="link" href="GimpUnitStore.html" title="GimpUnitStore"><span class="type">GimpUnitStore</span></a> *model</code></em>);</pre>
<div class="refsect3">
<a name="gimp-unit-combo-box-new-with-model.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>model</p></td>
<td class="parameter_description"><p>a GimpUnitStore</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-unit-combo-box-new-with-model.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-combo-box-get-active"></a><h3>gimp_unit_combo_box_get_active ()</h3>
<pre class="programlisting"><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
gimp_unit_combo_box_get_active (<em class="parameter"><code><a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a> *combo</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-combo-box-set-active"></a><h3>gimp_unit_combo_box_set_active ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_unit_combo_box_set_active (<em class="parameter"><code><a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a> *combo</code></em>,
                                <em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>);</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpUnitComboBox-struct"></a><h3>GimpUnitComboBox</h3>
<pre class="programlisting">typedef struct _GimpUnitComboBox GimpUnitComboBox;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.style-property-details"></a><h2>Style Property Details</h2>
<div class="refsect2">
<a name="GimpUnitComboBox--s-label-scale"></a><h3>The <code class="literal">“label-scale”</code> style property</h3>
<pre class="programlisting">  “label-scale”              <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>The scale for the text cell renderer.</p>
<p>Flags: Read</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 1</p>
</div>
</div>
<div class="refsect1">
<a name="GimpUnitComboBox.see-also"></a><h2>See Also</h2>
<p><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>, <a class="link" href="GimpUnitStore.html" title="GimpUnitStore"><span class="type">GimpUnitStore</span></a></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>